<ng-template #view let-c="close" let-d="dismiss">

</ng-template>
<div class="row text-left">
  <div class="col-12">
    <div class="content-header">เบิกแต้มสะสม</div>
    <!-- <p class="content-sub-header">All table styles are inherited in Bootstrap 4, meaning any nested tables will be
      styled in the same manner as the parent.</p> -->
  </div>
</div>
<!--Basic Table Ends-->

<!--Hoverable Rows Starts-->
<section id="hoverable-rows">
  <div class="row text-left">
    <div class="col-sm-12">
      <div class="card">
        <div class="card-content">

          <div class="card-body">
            <div class="text-right" style="margin-top: -10px; margin-bottom: 55px;">
              <form class="navbar-form navbar-right mt-1" [formGroup]="searchForm" (ngSubmit)="search()">
                <div class="position-relative has-icon-right">
                  <input class="form-control round" formControlName="search" placeholder="Search" type="text">
                  <div class="form-control-position">
                    <i class="ft-search"></i>
                  </div>
                </div>
              </form>
            </div>
            <table class="table table-hover">
              <thead>
                <tr>
                  <th style="width: 50px;">#</th>
                  <!-- <th style="width: 50px;">ID</th> -->
                  <th>ชื่อ-สกุล</th>
                  <!-- <th>เลขที่บัญชี</th> -->
                  <th>ยอดเงินที่ต้องโอน</th>
                  <th>สถานะ</th>
                  <th style="width: 220px;" class="text-center">จัดการ</th>
                </tr>
              </thead>
              <tbody>
                <tr *ngFor="let d of score let i = index">
                  <td>{{i+1}}</td>
                  <!-- <td>{{d.score_id}}</td> -->
                  <td>{{d.name}}</td>
                  <!-- <td>
                    <select *ngIf="d.bank != ''" name="bank_selected" #bbank (change)="sbank(bbank.value,d.score_id)" [disabled]="d.confirm!=0" >
                      <option [value]='noselect' >เลือกบัญชีธนาคาร</option>
                      <option *ngFor="let b of d.bank" [value]='b.bb_id'>{{b.no}} ({{b.bank}})</option>
                    </select>
                    <span *ngIf="d.bank == ''">ไม่พบเลขที่บัญชี</span>
                  </td> -->
                  <td>{{d.exp|number}} บาท </td>
                  <td>
                    <span *ngIf="d.confirm == -1" class="badge badge-danger">ยกเลิกแล้ว</span>
                    <span *ngIf="d.confirm == 0" class="badge badge-secondary">รอดำเนินการ</span>
                    <span *ngIf="d.confirm == 1" class="badge badge-success">โอนสำเร็จ</span>
                  </td>
                  <td>
                    <div>
                      <input style="display: none;" #uploadImg id="slipinput" type="file" accept="image/*"
                      (change)="changeImg($event)" hidden>
                      <!-- <i class="ft-image mr-1" (click)="uploadImg.click()"></i> -->
                    </div>
                    <button [disabled]="d.confirm!=0 || admin.type > 2 " href="javascript:void(0)"
                      class="btn btn-raised mr-1 btn-primary btn-sm" (click)="continue(d)"><i class="fa fa-check"></i>
                      แนบหลักฐาน</button>
                    <button [disabled]="true" href="javascript:void(0)" (click)="cancel()"
                      class="btn btn-raised mr-1 btn-sm btn-danger"><i class="fa fa-times"></i> ปฏิเสธ</button>
                  </td>
                </tr>

              </tbody>
            </table>
            <div class="col-12 justify-content-center">
              <ngb-pagination [collectionSize]="all_page" (pageChange)="change_page($event)"
                class="justify-content-center" [pageSize]='20' [(page)]="page"></ngb-pagination>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</section>
<!--Hoverable rows Ends-->